Name:           gmfsk
Version:        0.7
Release:        0.6.pre1%{?dist}
Summary:        A Gnome Multimode HF Terminal for Ham Radio

Group:          Applications/Communications
License:        GPLv2+
URL:            http://gmfsk.connect.fi/
Source0:        http://gmfsk.connect.fi/%{name}-%{version}pre1.tar.gz
#add .desktop file
Source1:        %{name}.desktop
#temporary Icon
Source2:        %{name}.png
Patch0:         gmfsk-0.7pre1-gcc.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  fftw2-devel, GConf2-devel, libgnomeui-devel, hamlib-devel
BuildRequires:  scrollkeeper, gettext, desktop-file-utils
#Requires:       
Requires(pre):  GConf2
Requires(post): GConf2, scrollkeeper
Requires(preun):  GConf2
Requires(postun): scrollkeeper

%description
gmfsk is a terminal program for amateur radio digital communication modes
for GNOME. It supports MFSK, RTTY, THROB, PSK31, MT63 and Hellschreiber
modulations. It is used for keyboard-to-keyboard chatting and not reliable
packet communication.

%prep
%setup -qn %{name}-%{version}pre1
%patch0 -p 1 -b .gccfix
#all files should be utf-8
recode()
{
  iconv -f "$2" -t utf-8 < "$1" > "${1}_"
  mv -f "${1}_" "$1"
}
recode README iso-8859-15

%build
%configure --enable-hamlib
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT

#applications shouldn't install fonts
rm -rf $RPM_BUILD_ROOT%{_datadir}/fonts

# no upstream .desktop or icon
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/%{name}/
install -m 644 %{SOURCE2} \
  ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/
desktop-file-install --vendor="" \
  --dir=${RPM_BUILD_ROOT}%{_datadir}/applications \
  %{SOURCE1}

%find_lang %{name}

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null || :
fi

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :

scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
fi

%postun
scrollkeeper-update -q || :

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING COPYING-DOCS README TODO
%{_bindir}/*
%{_datadir}/gnome/help/gmfsk
%{_datadir}/omf/gmfsk
%{_datadir}/pixmaps/*
%{_datadir}/applications/*%{name}.desktop
%config(noreplace) %{_sysconfdir}/gconf/schemas/*

%changelog
* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-0.6.pre1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Mar 02 2008 Robert 'Bob' Jensen - 0.7-0.5.pre1
- Fix NVR per nirik's request

* Thu Feb 28 2008 Steve Conklin - 0.7-0.pre1.4
- Fix compiler errors
- fixed some desktop file and icon errors

* Tue Feb 26 2008 Robert 'Bob' Jensen - 0.7-0.pre1.3
- Add icon file

* Tue Feb 26 2008 Robert 'Bob' Jensen - 0.7-0.pre1.2
- Add .desktop file

* Sun Dec 09 2007 Sindre Pedersen Bjørdal - 0.7-0.pre1.1
- Initial build
